Subject: Re: bug#60703: Patches to xwidget code

From: Andrew De Angelis <[email-masked]>
Date: Sat, 21 Jan 2023 01:13:01 -0500

Thank you again for the feedback. Attached is the updated patch.
@Po Lu <[email-masked]>, you were right about the dealloc method: I
removed it since it was unnecessary.
I think I fixed all the issues you pointed out, but let me know if there's
any other changes needed.

About the copyright assignment, I sent the attached email to [email-masked]
ten days ago, but haven't gotten a reply yet. Just want to make sure I'm
going about it the right way: do I need to do anything else to get this
done? It's my first contribution so I may be missing something.

On Tue, Jan 10, 2023 at 8:15 PM Po Lu <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> > I don't have an opinion, so if it's OK in your opinion, I'm fine with
> > adding this.  Are we sure this will not affect any important aspects
> > of the build, except where we already have problems?  (I don't see any
> > description of the problems and their solution in the commit log or
> > the comments.)
>
> Yes, these are fixes to a piece of code that is normally off by default,
> and did not work prior to those changes.
>
> > I don't see copyright assignment for Andrew, so this should be settled
> > before accepting the contribution of this magnitude.
>
> Right, thanks for bringing that up.
>

Subject: Andrew John De Angelis
From: Andrew De Angelis <[email-masked]>
To: [email-masked]
Date: Tue, 10 Jan 2023 18:33:13 -0500

----------------------------------------------------------------------
REQUEST: SEND FORM FOR PAST AND FUTURE CHANGES

[What is the name of the program or package you're contributing to?]
Emacs

[Did you copy any files or text written by someone else in these changes?
Even if that material is free software, we need to know about it.]
No

[Do you have an employer who might have a basis to claim to own
your changes?  Do you attend a school which might make such a claim?]
No

[For the copyright registration, what country are you a citizen of?]
USA

[What year were you born?]
1995

[Please write your email address here.]
[email-masked]

[Please write your postal address here.]
1239 Pacific St, 1F, Brooklyn, NY 11216

[Which files have you changed so far, and which new files have you written
so far?]
lisp/xwidget.el
src/nsxwidget.h
src/nsxwidget.m
src/xwidget.c